EDIT - bug #10204

GBIF search does not work due to missing json-lib

12/15/2022 03:25 PM - Katja Luther

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.35

Severity: normal Found in Version:

Description

The Gbif search does not work in editor because some of the removed libraries are needed.

Related issues:

Copied to EDIT - task #10205: Update GBIF import to modern json library.

Closed

Associated revisions

Revision acbhded93 - 12/15/2022 03:27 PM - Katja Luther

ref #10204: catch media parsing exceptions and code cleaning

Revision 4ea78047 - 12/15/2022 03:27 PM - Katja Luther
ref #10204: code cleaning

Revision f60a1e5f - 12/15/2022 03:34 PM - Katja Luther

ref #10204: revert remove of json and other libraries

Revision 8369bf53 - 12/19/2022 01:41 PM - Katja Luther
ref #10204: minor

Revision 611f5f1f - 12/19/2022 09:33 PM - Andreas Miiller
ref #10204, ref #9359 add json-lib to taxeditor pom again

Revision df6f5a8b - 12/20/2022 08:49 AM - Katja Luther
ref #10204, ref #9359 add ezmorph to taxeditor pom again

Revision beab159a - 12/20/2022 10:58 AM - Katja Luther

ref #10204, ref #9359 add beanutils and commons-collections to taxeditor pom again

Revision 387a5e68 - 12/20/2022 11:48 AM - Katja Luther

ref #10204, ref #9359 add beanutils and commons-collections to taxeditor buildproperties again

Revision 40ee2212 - 12/20/2022 12:19 PM - Katja Luther

ref #10204, ref #9359 add beanutils and commons-collections to taxeditor buildproperties again -continue

Revision 7b40eb6e - 01/05/2023 09:03 PM - Andreas Muller

ref #10204, ref #10205 add commons-beanutils and json-lib to .gitignore in taxeditor

History

#1 - 12/16/2022 01:33 PM - Andreas Miiller

- Subject changed from GBIF search does not work to GBIF search does not work due to missing json-lib

#2 - 12/16/2022 01:34 PM - Andreas Miiller
- Status changed from New to In Progress

- % Done changed from 0 to 30
probably fixed by adding missing dependencies, but we should upgrade to a more modern json framework

#3 - 12/16/2022 01:42 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 30 to 90
Should be fixed. Please review finally on nightly.
Json update moved to #10205

#4 - 12/16/2022 01:42 PM - Andreas Miiller
- Copied to task #10205: Update GBIF import to modern json library. added

#5 - 12/19/2022 01:27 PM - Katja Luther

There is still this error message:

net.sf.ezmorph.Morpher cannot be found by eu.etaxonomy.taxeditor.cdmlib_5.35.0.202212191150

#6 - 12/20/2022 12:47 PM - Andreas Miller

- Assignee changed from Katja Luther to Andreas Mdiller

#7 - 12/20/2022 10:50 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 90 to 100

According to KL this works now. Reverting 4 dependencies is handled in #10205 so we can close this ticket.
